package domain


type AlibabaWdkSkuCombineskuQueryApiResults struct {
    /*
        接口调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        接口调用异常编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        接口调用异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品列表     */
    Models  *[]AlibabaWdkSkuCombineskuQueryApiResult `json:"models,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuQueryApiResults) SetSuccess(v bool) *AlibabaWdkSkuCombineskuQueryApiResults {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResults) SetErrCode(v string) *AlibabaWdkSkuCombineskuQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResults) SetErrMsg(v string) *AlibabaWdkSkuCombineskuQueryApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQueryApiResults) SetModels(v []AlibabaWdkSkuCombineskuQueryApiResult) *AlibabaWdkSkuCombineskuQueryApiResults {
    s.Models = &v
    return s
}
